Page MenuHomePhabricator

mwext-php70-phan-seccheck-docker blocking merges
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/OATHAuth/+/506117/

mwext-php72-phan-docker SUCCESS in 1m 23s
mwext-php70-phan-seccheck-docker FAILURE in 1m 22s

https://integration.wikimedia.org/ci/job/mwext-php70-phan-seccheck-docker/60004/console

23:23:48 [mwext-php70-phan-seccheck-docker] $ /bin/bash /tmp/jenkins7596923728111031369.sh
23:23:48 ++ pwd
23:23:48 ++ pwd
23:23:48 ++ pwd
23:23:48 ++ pwd
23:23:48 /tmp/jenkins7596923728111031369.sh: line 3: THING_SUBNAME: unbound variable
23:23:48 ++ /usr/bin/env
23:23:48 ++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL|HHVM_REPO_CENTRAL_PATH)='
23:23:48 Build step 'Execute shell' marked build as failure

Event Timeline

Reedy created this task.Jun 18 2019, 10:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2019, 10:28 PM
Reedy triaged this task as Unbreak Now! priority.Jun 18 2019, 10:28 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 18 2019, 10:28 PM
Reedy updated the task description. (Show Details)Jun 18 2019, 10:31 PM

Locally, docker run --rm --env THING_SUBNAME=extensions/OATHAuth -v /Users/jdforrester/Documents/code/vagrant/mediawiki:/mediawiki docker-registry.wikimedia.org/releng/mediawiki-phan-seccheck:0.3.2 -m checkstyle passes. I've not touched the image for the docker image or the jjb definition (just the correlated php72 ones).

Working supposition is that someone made a local patch and pushed it via jjb without committing it ages ago, and it got accidentally wiped out when jjb seccheck jobs were updated earlier today.

Unfortunately, this isn't something we can revert. There's nothing in https://gerrit.wikimedia.org/r/q/project:integration%252Fconfig+is:open+file:jjb%252Fmediawiki-extensions.yaml which addresses it, at least.

I'm going to make the jobs non-voting for now, but that's not great.

Change 517764 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Temporarily make all seccheck jobs non-voting

https://gerrit.wikimedia.org/r/517764

Change 517765 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Revert "layout: Temporarily make all seccheck jobs non-voting"

https://gerrit.wikimedia.org/r/517765

Change 517764 merged by jenkins-bot:
[integration/config@master] layout: Temporarily make all seccheck jobs non-voting

https://gerrit.wikimedia.org/r/517764

Mentioned in SAL (#wikimedia-releng) [2019-06-18T23:19:52Z] <James_F> Making extension-seccheck non-voting on all 195 repos, hopefully temporarily. T226064

Jdforrester-WMF lowered the priority of this task from Unbreak Now! to High.Jun 18 2019, 11:21 PM
Jdforrester-WMF added subscribers: Bawolff, Legoktm.

No longer blocking merges, but pretty bad. Pinging @Bawolff and @Legoktm who might know of a local patch to jjb for these jobs.

Change 517785 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Revert "parameter_functions: Stop working on php70-phan, they're gone"

https://gerrit.wikimedia.org/r/517785

Change 517785 merged by jenkins-bot:
[integration/config@master] Revert "parameter_functions: Stop working on php70-phan, they're gone"

https://gerrit.wikimedia.org/r/517785

Legoktm closed this task as Resolved.Jun 19 2019, 4:05 AM
Legoktm claimed this task.

It wasn't a local patch, it was just that environment variables like this are normally injected by *zuul* not *jjb*. And the phan and seccheck jobs do share some common config, which was prematurely removed.

Also for future reference, if you think someone may have made a local jjb change that got wiped out, you can actually see diffs of the config history of the job in jenkins itself.

It wasn't a local patch, it was just that environment variables like this are normally injected by *zuul* not *jjb*. And the phan and seccheck jobs do share some common config, which was prematurely removed.

Aha. Thank you.

Also for future reference, if you think someone may have made a local jjb change that got wiped out, you can actually see diffs of the config history of the job in jenkins itself.

Oh, interesting.

Change 517765 merged by jenkins-bot:
[integration/config@master] Revert "layout: Temporarily make all seccheck jobs non-voting"

https://gerrit.wikimedia.org/r/517765